彻底解决phpmyadmin出现无法加载mcrypt扩展问题

简介:
 如果用编译安装PHP的话,安装phpmyadmin会出现无法加载 mcrypt 扩展的问题.
  用万能的google搜了半天也没有解决问题,最后还是自己想到了问题 其实还是
mcrypt.so组件没有编译到php上.
  首先下载编译mcrypt.so所需的包
1.安装Libmcrypt
#tar -zxvf libmcrypt-2.5.8.tar.gz
 #cd libmcrypt-2.5.8
#./configure
#make &&make install
 
2.安装mhash
#tar -zxvf mhash-0.9.9.9.tar.gz
#cd mhash-0.9.9.9
#./configure
#make &&make install
 
3.安装mcrypt
#tar -zxvf mcrypt-2.6.8.tar.gz
#cd mcrypt-2.6.8
#LD_LIBRARY_PATH=/usr/local/lib ./configure
#make &&make install
注:如果不加环境变量 LD_LIBRARY_PATH=/usr/local/lib 的话,会提示找不到libmcrypt链接库.
4.编译PHP
在编译的最后加入./configure  --with-mcrypt --with-mhash -with-libxml-dir --enable-bcmath --enable-sockets
成功后phpmyadmin不会出现无法加载 mcrypt 扩展的问题









本文转自 mcshell 51CTO博客,原文链接:http://blog.51cto.com/mcshell/311557,如需转载请自行联系原作者

目录
相关文章
|
2月前
|
运维 Linux Apache
LAMP架构调优(十)——Apache禁止指定目录PHP解析与错误页面优化
LAMP架构调优(十)——Apache禁止指定目录PHP解析与错误页面优化
255 2
|
关系型数据库 MySQL API
如何修复“PHP 安装缺少 WordPress 所需的 MySQL 扩展”的错误?
在WordPress建站,WordPress定制开发过程中,开发者容易遇见“您的 PHP 安装似乎缺少 WordPress 所需的 MySQL 扩展”的错误提示,如果出现这样的情况,应该怎么办?北京六翼信息有限公司的开发工程师指出,要修复错误“您的 PHP 安装似乎缺少 WordPress 所需的 MySQL 扩展”,您需要确保您的 PHP 安装已正确安装和配置 MySQL 数据库驱动程序 (mysqlnd) 和 mysqli 扩展。只有这样,您才能恢复 WordPress 和 WordPress 数据库之间的正常连接,并让您的网站重新运行。
如何修复“PHP 安装缺少 WordPress 所需的 MySQL 扩展”的错误?
|
SQL 关系型数据库 数据安全/隐私保护